Show / Hide Table of Contents

# Interface IApplication

Represents a Discord application created via the developer portal.

##### Inherited Members

ISnowflakeEntity.CreatedAt
IEntity<UInt64>.Id

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IApplication : ISnowflakeEntity, IEntity<ulong>

### Properties

| Improve this Doc View Source

#### Description

Gets the description of the application.

##### Declaration

    string Description { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Flags

##### Declaration

    ulong Flags { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### IconUrl

Gets the icon URL of the application.

##### Declaration

    string IconUrl { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Name

Gets the name of the application.

##### Declaration

    string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Owner

Gets the partial user object containing info on the owner of the application.

##### Declaration

    IUser Owner { get; }

##### Property Value

Type | Description
--- | ---
IUser |

| Improve this Doc View Source

#### RPCOrigins

Gets the RPC origins of the application.

##### Declaration

    string[] RPCOrigins { get; }

##### Property Value

Type | Description
--- | ---
System.String[] |